#=======================================================================
# Orinal author : Gabor Grothendieck
# Original code : R-help: Sep 23, 2013 at 2:55 PM
# Topic         : Re: Vector of char generated by Sys.getenv function
#               :     is not available when the package is loaded
# Adapted by    : Jos Cludio Faria
# Objective     : To supply the current necessity of the Tinn-R project
# Date          : 30/05/2022 10:05:10
#=======================================================================
.onLoad <- function(libname, 
                    pkgname)
{
  if(Sys.info()[['sysname']] == 'Windows'){
    tmp <- Sys.getenv('TEMP')
    sep <- '\\'
  } else {  
    tmp <- '/tmp'
    sep <- '/'
  }
    
  .paths <<- file.path(tmp,
                       'Tinn-R',
                       c('',
                         'search.txt',
                         'objects.txt',
                         'file.R',
                         'selection.R',
                         'block.R',
                         'lines.R',
                         'reformat-input.R',
                         'reformat-output.R'),
                       fsep=sep)
}
